Jump to content

YePix

Members
  • Content count

    311
  • Joined

  • Last visited

  • Days Won

    1

Posts posted by YePix


  1. Hello everyone, I would like to add an end date to my products.

    Any product that exceeds this end date should switch itself off automatically.
    Here I have the query that I want to add to the application_top.php, which sets the product status to 0 but I'm not sure if it fits. I ask because I have no way to test it and I can't afford to make any mistakes in my shop.

    Could someone take a look at it and give me some advice on whether it works that way? thank you in advance.

    // Set the product status by out of available to 0
    if (isset($_GET['products_id'])) {    
      tep_db_query('update ' . TABLE_PRODUCTS . ' set products_status = '0' where products_id = '" . (int)$_GET['products_id'] . "' and  products_out_available > curdate()');
    }

     


  2. auf allen Seiten mit einem Kaufbutton folgendes vor der Buttonsektion einfügen:

    <?php if ($product_info['products_quantity'] > '0'){?>

    folgendes nach der Buttonsektion einfügen:

    <?php }?>

    Beachte aber die Bezeichnung der Abfragen auf in den einzelnen Dateien.

    product_info.php ist  => $product_info['products_quantity'] zuständig.  hierbei ist => $product_info die Variable der Abfrage.
    Bei den Anderen Dateien ändert sich diese.


  3. vor 4 Stunden schrieb osCommerce-Official:

    It uses Google reCAPTCHA

    Google recapcha is not recommended. This joke query can be bypassed as easily as any other program. I therefore recommend using something that really checks whether it is a human or a robot. You can test it yourself. When the message appears whether you are human, wait 3 to 5 seconds and only then click the confirmation. every time you will succeed in reaching your goal without further testing. Captscha is garbage and not seriously useful.


  4. Am 22.3.2021 um 04:01 schrieb plenoal152:

    Hello ! This is my current template REGALOS ORIGINALES

     

    This template views horrible in MOBILE view. Is there others templates more efficient ?

    Thanks !

    Hi, before you worry about the template, you should whip up your shop. The violations of applicable EU law are so flawed that you could pay a warning of at least 5 to 10 thousand euros.


  5. Hi, have you already optimized the function for the "customer_bascet" table accordingly? "final_price" is not saved as a subtotal. "customers_basket_date_added" stores the date without the time. These two details are very important to make some queries and definitions easier.


  6. vor 8 Stunden schrieb Stephan Gebbers:

    Was ich sehe, ist, dass dieser Schritt Phonix zwingt, eine Gabel zu sein und in Zukunft vollständig vom Oscommerce getrennt zu sein. Warum nicht auf das konzentrieren, was mit Phoenix bereits erreicht wurde? Dies ist eine Verschwendung all der Arbeit, die Phoenix bereits geleistet hat.

    Am Ende haben wir Leute, die an Phoenix und an Oscommerce arbeiten, und jedes einzelne Zahlungsmodul oder andere Modul muss zweimal ausgeführt werden, wenn die Systeme zu unterschiedlich werden.

    Ich freue mich nicht über einen "neuen" Oscommerce. Wir haben bereits einen neuen Oscommerce. Es ist Phönix!

    Ich bin enttäuscht von Harald, dass er für Ewigkeiten unsichtbar ist und jetzt das ..

     

    Because Phoenix has long been a commercial hub. This arrogance alone to seek out members in the group and block others who do not seem to pay enough is a cheek. It is called public discrimination. It's finally time to bring osCommerce to life and take it to the top. Here neither Phoenix nor any other forking in the forum has to be looked for. It was osCommerce, now it is not osCommerce and it will be osCommerce again. That should be clear enough.


  7. Am 20.2.2021 um 19:11 schrieb Philo2005:

    Was wird mit Phoenix passieren, wird die weitere Entwicklung gestoppt?

    Phoenix is an osCommerce FORK. Whoever wants to use it should do it. I've always been of the opinion that osCommerce is also osCommerce. In my opinion, everything that is not osCommerce should be removed from this forum to avoid confusion. Addons that are not compatible with osCommerce are also a danger for pure osCommerce software. Nevertheless, I am really looking forward to the return of the king.


  8. vor 23 Stunden schrieb ecartz:

    And yet, off the top of my head, I find

    In the EU and using Phoenix.  It may not be for you.  You'll have to make your own decision on that.  But other EU shop owners seem to be using it just fine.  Not to mention EU-adjacent shops in the UK, Switzerland, Russia, etc. 

    just a tip, just because of the shipping costs, the page with the wedding dresses can be warned. I won't go into any more. I only asked who used the older versions to find out whether it is still worth posting new extensions here and making them available to the operators.


  9. vor 23 Stunden schrieb 14steve14:

    Finally upgraded to a whole better system in November. One click installs and no core code changes makes things so much easier to work with. Only advice would be to plan out the upgrade and stick to a version, and not try to keep with the latest. 

    No thanks. Phoenix is not for me or for users in the EU. It may be that in the USA, UK or elsewhere, also for those who use the standard but users who adapt their software to their own needs in order to work more efficiently need something more than standard


  10. vor 12 Stunden schrieb ArtcoInc:

    @YePix There is no single 'EDGE' version. Everything after the August 2018 'Frozen' release, all the way up to the July 2019 release of 'Phoenix', was essentially called Edge. A lot of changes happened during that time period.

    Malcolm

    This is exactly why i ask it.


  11. Hi, wenn du neuen Wind brauchst bleibt dir nichts anderes übrig als dir den neuen Shop komplett neu aufzusetzen oder einen in Auftrag zu geben.
    Dieses Forum hat leider mit dem Zusammenhalt aus dem altem .de Forum absolut nichts am Hut. (Leider)

    Die Sache ist aber die. Du nutzt den neuen Shop so wie er ist, dann kannst du auch die ständig neuen Erneuerungen installieren die rausgegeben werden, oder du baust den Shop auf deine Bedürfnisse um, aber dann musst du dich auch selbst um alles andere kümmern, weil die neuen Updates zum Teil nicht mehr funktionieren.

    Nichts desto trotz, du musst deinen Shop an die Gesezesvorgaben anpassen. Wie du siehst ist das eine Entscheidung, die du treffen musst.
    Liebe Grüsse.


  12. Ich habe zwar keine Ahnung was du hiermit sagen willst aber wenn ich von dem Shop, unter der im Userbereich angegebenen adresse, ausgehe dann bist du noch Meilen weit von einem produktiven Einsatz entfernt.

    Du solltest dir mal darüber Gedanken machen, was alles rechtlich umgesetzt werden muss um überhaupt einen Online-Shop betreiben zu dürfen.
    Die Moduleinstellugen sind das unwichtigste in deinem Fall. Die richtigen Einstellungen können im nu umgesetzt werden, das was wirklich notwendig ist widerrum nicht.

    osCommerce ist nicht auf den produktiven Einsatz in Deutschland und der EU ausgelegt.


  13. Am 26.4.2020 um 19:00 schrieb bodhizatfa:

    Hi Gustavo,

    Thanks for responding. Yes I've looked through the topic, and read through pretty much every other post to see if I could find the answers. I still haven't found the answer. My amateur understanding of Phoenix is that the core will remain intact and there will be modules developed to expand Phoenix's functionality, kind of like WordPress.  Wordpress had the same issues and someone developed a  plugin to address SMTP functions. I'm exploring Phoenix 1.0.5.0 right now.  Even as an amateur, if I look at the updates leading up to 1.0.6.0, all of the previous SMTP patches simply won't work because the file structures have changed significantly.  The team is focusing on streamlining the core from what I can see. SMTP functionality and authentication are both realities that everyone lives with.   I am sure someone will develop an add-on solution.  I would develop one, but I am not even close to being a coder. 

     

    You can of course use the appropriate module, but it won't work without a small change in the core class. I don't understand what the difference should be, to change the class directly or to have it changed with a plugin. For security reasons, SMTP authentication will be the new standard for sending emails


  14. So noticed next to.

    Since the German forum was converted into a club and the Germans have largely moved away from the software, there are hardly any new contribs. Only a handful of people implement something old again. Pity.

×